petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESSetConvergedReason

Sets the reason the SNES iteration was stopped.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetConvergedReason(SNES snes,SNESConvergedReason reason)

Not Collective

### Input Parameters

| snes | - the SNES context
| reason | - negative value indicates diverged, positive value converged, see SNESConvergedReason or the manual pages for the individual convergence tests for complete lists

### Keywords

SNES, nonlinear, set, convergence, test

### See Also

SNESGetConvergedReason(), SNESSetConvergenceTest(), SNESConvergedReason

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages